Skip to main content
POST
/
v1
/
admin
/
airbyte-sources
/
{source_id}
/
provision
Provision an Airbyte source
curl --request POST \
  --url https://api.withsplendor.com/v1/admin/airbyte-sources/{source_id}/provision \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>' \
  --data '
{
  "source_configuration": {}
}
'
{
  "airbyte": {
    "airbyte_connection_id": "conn_1",
    "airbyte_destination_id": "dst_1",
    "airbyte_source_definition_id": "def_1",
    "airbyte_source_definition_name": "Stripe",
    "airbyte_source_id": "airbyte_src_1",
    "connection_status": "active",
    "credential_status": "ready",
    "cron_expression": null,
    "destination_status": "ready",
    "oauth_mode": "airbyte",
    "provider_key": "stripe",
    "schedule_type": "manual",
    "source_id": 12,
    "stream_config": {
      "streams": [
        "charges"
      ]
    }
  },
  "source": {
    "bucket": "acme-logs",
    "connector_id": null,
    "created_at": "2026-01-15T09:30:00Z",
    "dataset_id": "app-logs",
    "enabled": true,
    "external_id_configured": false,
    "format": "jsonl",
    "iam_role_arn": "arn:aws:iam::123456789012:role/acme-splendor",
    "ingest_token_configured": true,
    "ingest_token_created_at": "2026-01-15T09:30:00Z",
    "ingest_token_last_used_at": "2026-01-15T09:30:00Z",
    "ingest_token_revoked_at": null,
    "intake_role_arn": null,
    "name": "Application logs",
    "parse_config": {},
    "prefix": "",
    "retention_days": null,
    "search_config": {
      "text_fields": []
    },
    "semantic_config": {
      "document_embeddings": {
        "fields": []
      },
      "vocabulary": {
        "fields": []
      }
    },
    "source_id": 12,
    "source_key": "app-logs",
    "source_type": "hosted",
    "tenant_id": "acme",
    "transform_config": {},
    "updated_at": "2026-01-15T09:30:00Z"
  }
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Path Parameters

source_id
integer
required

Body

application/json
source_configuration
Source Configuration · object
required

Response

Successful Response

airbyte
AirbyteRefItem · object
required
source
SourceItem · object
required
Example:
{
"bucket": "acme-logs",
"connector_id": null,
"created_at": "2026-01-15T09:30:00Z",
"dataset_id": "app-logs",
"enabled": true,
"external_id_configured": false,
"format": "jsonl",
"iam_role_arn": "arn:aws:iam::123456789012:role/acme-splendor",
"ingest_token_configured": true,
"ingest_token_created_at": "2026-01-15T09:30:00Z",
"ingest_token_last_used_at": "2026-01-15T09:30:00Z",
"ingest_token_revoked_at": null,
"intake_role_arn": null,
"name": "Application logs",
"parse_config": {},
"prefix": "",
"retention_days": null,
"search_config": { "text_fields": [] },
"semantic_config": {
"document_embeddings": { "fields": [] },
"vocabulary": { "fields": [] }
},
"source_id": 12,
"source_key": "app-logs",
"source_type": "hosted",
"tenant_id": "acme",
"transform_config": {},
"updated_at": "2026-01-15T09:30:00Z"
}